import { TapResponse } from '@iotize/tap';
import { TargetCanProtocolConfiguration } from '@iotize/tap/service/impl/target';
import { SlaveServerService as SlaveServerServiceBase } from './generated/service';
import { ModbusRtuProtocolConfiguration, SlaveServerModbusTcpConfiguration } from './models-custom';
export declare class SlaveServerServiceExtended extends SlaveServerServiceBase {
    putCanProtocolConfiguration(canConfig: TargetCanProtocolConfiguration): Promise<TapResponse<void>>;
    putCanProtocolConfigurationCall(config: TargetCanProtocolConfiguration): import("@iotize/tap").ServiceCallType<any, any>;
    putSpiProtocolConfiguration(): Promise<TapResponse<void>>;
    putSpiProtocolConfigurationCall(): import("@iotize/tap").ServiceCallType<any, any>;
    putModbusRtuProtocolConfiguration(config: ModbusRtuProtocolConfiguration): Promise<TapResponse<void>>;
    putModbusRtuProtocolConfigurationCall(tapnpassConfigApi: ModbusRtuProtocolConfiguration): import("@iotize/tap").ServiceCallType<any, any>;
    putModbusTcpProtocolConfiguration(config: SlaveServerModbusTcpConfiguration): Promise<TapResponse<void>>;
    putModbusTcpProtocolConfigurationCall(config: SlaveServerModbusTcpConfiguration): import("@iotize/tap").ServiceCallType<any, any>;
}
